﻿@model IEnumerable<EPPW.Membership.Dto.UserDto>
@{
    ViewBag.Title = "RoleHasUsers";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}
@section SideContent
{
    <div class="row-fluid">
        <div class="span12">
            <blockquote>
                <p>
                    Role</p>
                <small>@ViewBag.RoleName</small>
            </blockquote>
        </div>
    </div>
}
<div class="row">
    <div class="span2">
    </div>
    <div class="span8">
        <p>
            <a href="#AddUserModal" class="btn btn-small" role="button" data-toggle="modal"><i
                class="icon-plus"></i>User</a>
        </p>
        <legend>Role Has Users</legend>
        <table id="UsersInRoleTable" class="table table-bordered zebra-striped dataTable table-hover table-condensed">
            <thead>
                <tr role="row">
                    <th class="header" role="columnheader" tabindex="0" aria-controls="UsersInRoleTable"
                        rowspan="1" colspan="1" style="width: 106px;">
                        UserName
                    </th>
                    <th class="header" role="columnheader" tabindex="0" aria-controls="UsersInRoleTable"
                        rowspan="1" colspan="1" style="width: 30px;">
                        Email
                    </th>
                    <th class="header" role="columnheader" tabindex="0" aria-controls="UsersInRoleTable"
                        rowspan="1" colspan="1" style="width: 106px;">
                        RealName
                    </th>
                </tr>
            </thead>
            <tbody>
                @if (Model == null)
                {
                    <tr>
                        <td colspan="4">
                            <p>
                                没有查询的数据。</p>
                        </td>
                    </tr>
                }
                else
                {
                    foreach (EPPW.Membership.Dto.UserDto item in Model)
                    {
                    <tr>
                        <td>@Html.DisplayFor(modelItem => item.UserName)
                        </td>
                        <td>@Html.DisplayFor(modelItem => item.Email)
                        </td>
                        <td>@Html.DisplayFor(modelItem => item.Name)
                        </td>
                    </tr>
                    }
                }
            </tbody>
        </table>
        <div>
            @Html.ActionLink("Back to List", "Index")
        </div>
    </div>
    <div class="span2">
    </div>
</div>
<div id="AddUserModal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="AddUserLabel"
    aria-hidden="true">
    <div class="modal-header">
        <button id="btnClose1" type="button" class="close" data-dismiss="modal" aria-hidden="true">
            ×</button>
        <h3 id="AddUserLabel">
            Add User</h3>
    </div>
    <div class="modal-body">
        <table id="AddUserTable" class="table table-bordered zebra-striped dataTable table-hover table-condensed">
            <thead>
                <tr>
                    <th style="width: 10px;">
                        Select
                    </th>
                    <th class="header" role="columnheader" tabindex="0" aria-controls="AddUserTable"
                        rowspan="1" colspan="1" style="width: 60px;">
                        Name
                    </th>
                    <th class="header" role="columnheader" tabindex="0" aria-controls="AddUserTable"
                        rowspan="1" colspan="1" style="width: 60px;">
                        Desc
                    </th>
                </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
    </div>
    <div class="modal-footer">
        <button class="btn" data-dismiss="modal" aria-hidden="true">
            Close</button>
 @*       <button id="btnClose2" data-dismiss="modal" aria-hidden="true">
            Close</button>*@
        <button id="btnAddUsers" type="button" class="btn btn-primary">
            Save changes</button>
    </div>

    @*<div class="loadingWord"><img src="../../../../Content/images/public/Waiting.gif">加载中，请稍候...</div>*@
</div>
<div id="hiddenData">
    <div id="divRoleUserId">
        @foreach (var user in Model)
        {
            @Html.Hidden("roleUserId", user.UserId, "");
        }
    </div>
    <div id="divRoleId">
        @*@Html.Hidden("roleId", 22, "");*@
        <input id="roleId" name="roleId" type="hidden" value=@ViewBag.RoleId>
    </div>
</div>
@section Scripts {
   @* @Scripts.Render("~/bundles/jqueryval")*@
    @Scripts.Render("~/Scripts/Plugins/datatables")
    @Scripts.Render("~/bundles/Viewjs/script");

}
